Name:           ipt-netflow
Version:        2.3
Release:        1%{?dist}
Epoch:          1
URL:            https://github.com/aabc/ipt-netflow
Summary:        Netflow iptables module
License:        GPLv2
Group:          System Environment/Kernel
BuildArch:      noarch

Source0:        https://github.com/aabc/ipt-netflow/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

BuildRequires:  iptables-devel
BuildRequires:  kernel-devel
BuildRequires:  make

Provides:       %{name}-kmod = %{epoch}:%{version}-%{release}

Requires:       iptables
Requires:       iptables-devel
Requires:       dkms
Requires:       make

%description
ipt-netflow is very fast and effective Netflow exporting module for Linux kernel.
This is netfilter/iptables module adding support for NETFLOW target.
This package provides the NETFLOW library which will be loaded by
iptables when NETFLOW rules are processed.

%prep
%setup -q

%build

%install
mkdir -p %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}
cp -av  Makefile.in configure version.sh compat.h murmur3.h ipt_NETFLOW*{c,h} %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}

cat > %{buildroot}%{_usrsrc}/%{name}-%{version}-%{release}/dkms.conf <<EOF
AUTOINSTALL=yes
BUILT_MODULE_NAME[0]=ipt_NETFLOW
CLEAN="make clean"
DEST_MODULE_LOCATION[0]=/kernel/extra
MAKE[0]="make ipt_NETFLOW.ko"
PACKAGE_NAME=ipt-netflow
PACKAGE_VERSION="%{version}-%{release}"
PRE_BUILD="./configure --enable-macaddress --enable-vlan --enable-direction --enable-promisc --enable-physdev --kver=\$kernelver"
STRIP[0]=no
EOF

%post
dkms add -m %{name} -v %{version}-%{release} --rpm_safe_upgrade
dkms build -m %{name} -v %{version}-%{release}
dkms install -m %{name} -v %{version}-%{release}

%preun
dkms remove -m %{name} -v %{version}-%{release} --all --rpm_safe_upgrade

%files
%{_usrsrc}/%{name}-%{version}-%{release}/

%doc NEWS README README.promisc
%license CREDITS
%{!?_licensedir:%global license %doc}

%changelog
* Sun May 20 2018 Joe Doss <joe@solidadmin.com> - 2.3.0-1
- Initial ipt-netflow DKMS RPM
- Version 2.3.0
